<?php  if ( ! defined('BASEPATH')) exit('No direct script access allowed');
/*
| -------------------------------------------------------------------------
| URI ROUTING
| -------------------------------------------------------------------------
| This file lets you re-map URI requests to specific controller functions.
|
| Typically there is a one-to-one relationship between a URL string
| and its corresponding controller class/method. The segments in a
| URL normally follow this pattern:
|
|	example.com/class/method/id/
|
| In some instances, however, you may want to remap this relationship
| so that a different class/function is called than the one
| corresponding to the URL.
|
| Please see the user guide for complete details:
|
|	http://codeigniter.com/user_guide/general/routing.html
|
| -------------------------------------------------------------------------
| RESERVED ROUTES
| -------------------------------------------------------------------------
|
| There area two reserved routes:
|
|	$route['default_controller'] = 'welcome';
|
| This route indicates which controller class should be loaded if the
| URI contains no data. In the above example, the "welcome" class
| would be loaded.
|
|	$route['404_override'] = 'errors/page_missing';
|
| This route will tell the Router what URI segments to use if those provided
| in the URL cannot be matched to a valid route.
|
*/

$route['default_controller'] = "frontend/home";
$route['404_override'] = '';

$route['violetservice/soanbai/mo'] = 'services/viettel/mo';
$route['admin'] = 'admin/home';
$route['admin/cong_tac_vien'] = 'admin/collaborator';
$route['admin/cong_tac_vien/trang'] = 'admin/collaborator/getCollaborators/1';
$route['admin/cong_tac_vien/them'] = 'admin/collaborator/addCollaborator';
$route['admin/cong_tac_vien/trang/:any'] = 'admin/collaborator/getCollaborators/$1';
$route['admin/cong_tac_vien/test'] = 'admin/collaborator/test';

$route['admin/quan_tri_vien'] = 'admin/admin_acc';
$route['admin/quan_tri_vien/trang'] = 'admin/admin_acc/get_admins/1';
$route['admin/quan_tri_vien/trang/:any'] = 'admin/admin_acc/get_admins/$1';
$route['admin/quan_tri_vien/them'] = 'admin/admin_acc/add_admin';
$route['admin/quan_tri_vien/sua/:any'] = 'admin/admin_acc/edit_admin/$1';
$route['admin/quan_tri_vien/xoa/:any'] = 'admin/admin_acc/delete_admin/$1';
$route['admin/quan_tri_vien/id/:any'] = 'admin/admin_acc/get_admin_by_id/$1';

$route['admin/nguoi_dung'] = 'admin/user';
$route['admin/nguoi_dung/trang'] = 'admin/user/get_users/1';
$route['admin/nguoi_dung/trang/:any'] = 'admin/user/get_users/$1';
/* End of file routes.php */
/* Location: ./application/config/routes.php */